/* Copyright (C) 2000-2015 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _UDM_CONF_H
#define _UDM_CONF_H

#include <sys/types.h>

UDM_API(udm_rc_t) UdmEnvLoad(UDM_AGENT *Indexer, const char * name, int flags);
UDM_API(udm_rc_t) UdmEnvSave(UDM_AGENT *Indexer, const char * name, int flags);
UDM_API(udm_rc_t) UdmEnvAddLine(UDM_CFG *C, char *str);
UDM_API(udm_rc_t) UdmAgentAddLine(UDM_AGENT *A, const char *str);

char *UdmParseEnvVar(UDM_ENV *Conf, const char *str);
udm_search_mode_t  UdmSearchMode(const char *mode);
udm_match_mode_t  UdmMatchMode(const char *mode);
udm_webspace_t  UdmFollowType(const char * area);
udm_method_t UdmMethod(const char * method);
size_t UdmWeightFactorsInit2(char *res, UDM_VARLIST *V1, UDM_VARLIST *V2, const char *name);

const char *UdmMethodStr(udm_method_t method);
UDM_API(const char *) UdmFollowStr(udm_webspace_t area);

size_t UdmGetArgs(char *str, const char **av, size_t max);

#endif
