/* Copyright (C) 2000-2015 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _UDM_CTYPE_H
#define _UDM_CTYPE_H

/********
 * BEGIN
 * This is taken from ap_ctype.h
 * --kir.
 */

#include <ctype.h>

#ifdef __cplusplus
extern "C" {
#endif

/* These macros allow correct support of 8-bit characters on systems which
 * support 8-bit characters.  Pretty dumb how the cast is required, but
 * that's legacy libc for ya.  These new macros do not support EOF like
 * the standard macros do.  Tough.
 */
#define udm_isalnum(c)  (isalnum(((unsigned char)(c))))
#define udm_isalpha(c)  (isalpha(((unsigned char)(c))))
#define udm_iscntrl(c)  (iscntrl(((unsigned char)(c))))
#define udm_isdigit(c)  (isdigit(((unsigned char)(c))))
#define udm_isgraph(c)  (isgraph(((unsigned char)(c))))
#define udm_islower(c)  (islower(((unsigned char)(c))))
#define udm_isprint(c)  (isprint(((unsigned char)(c))))
#define udm_ispunct(c)  (ispunct(((unsigned char)(c))))
#define udm_isspace(c)  (isspace(((unsigned char)(c))))
#define udm_isupper(c)  (isupper(((unsigned char)(c))))
#define udm_isxdigit(c) (isxdigit(((unsigned char)(c))))
#define udm_tolower(c)  (tolower(((unsigned char)(c))))
#define udm_toupper(c)  (toupper(((unsigned char)(c))))

#ifdef __cplusplus
}
#endif


#endif
