/* Copyright (C) 2000-2015 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _UDM_STORE_H
#define _UDM_STORE_H

#include <stdio.h>
#include "udm_common.h"
#include "udm_crc32.h"

char *UdmExcerptDoc(UDM_AGENT *query, UDM_QUERY *Query, UDM_DOCUMENT *Doc, size_t size, size_t padding);
udm_rc_t UdmCachedCopyGet(UDM_AGENT *Agent);
udm_rc_t UdmDocCachedCopyGet(UDM_AGENT *Agent, UDM_DOCUMENT *Doc, UDM_VARLIST *Vars);
udm_rc_t UdmDocSetFromCachedHTTPResponse(UDM_DOCUMENT *Doc,
                                         const char *src, size_t srclen,
                                         size_t max_doc_size,
                                         udm_timer_t *decoding_time);

UDM_CHARSET *UdmDocDetectCachedCharset(UDM_AGENT *A,
                                       UDM_DOCUMENT *Doc,
                                       urlid_t url_id);
#endif
