/* Copyright (C) 2000-2015 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _UDM_TEXTLIST_H
#define _UDM_TEXTLIST_H

UDM_API(void) UdmTextListInit(UDM_TEXTLIST *t);
UDM_API(void) UdmTextListAdd(UDM_TEXTLIST *tlist,const UDM_TEXTITEM *item);
UDM_API(void) UdmTextListAddConst(UDM_TEXTLIST *L,
                                  const UDM_CONST_TEXTITEM *item,
                                  const UDM_TEXT_PARAM *Param);
UDM_API(void) UdmTextListAppend(UDM_TEXTLIST *tlist,const UDM_TEXTITEM *item);
UDM_API(void) UdmTextListFree(UDM_TEXTLIST *tlist);

udm_rc_t UdmTextListToConstWordList(const UDM_TEXTLIST *List,
                                    UDM_UNIDATA *unidata,
                                    UDM_CHARSET *cs, int cnvflags,
                                    UDM_CONSTWORDLIST *CWL);
udm_rc_t UdmTextItemNormalizeDecimal(UDM_TEXTITEM *Item);

void UdmTextParamInit(UDM_TEXT_PARAM *Param,
                      udm_textlist_flag_t flags, udm_secno_t secno);
void UdmTextItemInit(UDM_TEXTITEM *Item, udm_textlist_flag_t flags);
void UdmConstTextItemInit(UDM_CONST_TEXTITEM *Item);

#endif
